//
//  SearchMedicalCentreViewController.h
//  MedicalHelp
//
//  Created by Tops on 7/10/14.
//  Copyright (c) 2014 mac. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import <CoreLocation/CoreLocation.h>
#import "MapPoint.h"
#import "JFUrlUtil.h"
#import "MedicalInfoTableViewController.h"

#define kBgQueue dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_DEFAULT, 0)

@interface SearchMedicalCentreViewController : UIViewController<UISearchBarDelegate,MKMapViewDelegate,CLLocationManagerDelegate>

{
    CLLocationManager *locationManager;
    CLLocationCoordinate2D currentCentre;
    int currenDist;
    BOOL firstLaunch;
}

- (IBAction)btnListAllPlace:(id)sender;

- (IBAction)segChangeMapType:(UISegmentedControl *)sender;

- (IBAction)segChangePlaceType:(UISegmentedControl *)sender;

@property (strong, nonatomic) UISearchBar *searchMapBar;

@property (strong, nonatomic) IBOutlet MKMapView *mapView;

@property (strong, nonatomic) IBOutlet UISegmentedControl *SegMapType;

@property (strong, nonatomic) NSString *placeType;

@property (strong,nonatomic) NSMutableArray *arrayPlaces;

@end
